

// Basic Motion activated alarm example.

/*

Plumduino
Plumduino_BaseSketch_Rev01_05
Version 1.5 08/2016

This is a basic sketch that can be used as a starting point
for various functionality of the Plumduino board.

This code was written by Kevin King for Plum Geek LLC.
Portions from other open source projects where noted.
This code is licensed under:
Creative Commons Attribution-ShareAlike 2.0 Generic (CC BY-SA 2.0)
https://creativecommons.org/licenses/by-sa/2.0/
Visit http://www.plumgeek.com for Plumduino information.
Visit http://www.arduino.cc to learn about the Arduino.

*/

#include "PlumduinoHardware.h"  // Leave this line first. Do not edit this line. This causes Arduino
                                // to include background functions when turning your code into
                                // machine language the Plumduino processor can understand.

// Below is the "setup" function. It runs one time as soon as Plumduino turns on. You can add stuff
// to this function if you want, but hardwareBegin() should always be the first code in the list.

void setup(){
  hardwareBegin();        //initialize Plumduino processor to work with the board circuitry 

}


void loop() {

  ////// SETUP AND COUNT-DOWN UNTIL ALARM IS "ARMED" //////
  /////////////////////////////////////////////////////////
  
  setAllPixelsRGB(0,30,0);      //turn on all pixels as an indication
  while(digitalRead(Motion)){   //if motion alarm is already triggered, wait until the trigger
     //do nothing               //signal clears. LEDs stay on as an indication while waiting
  }

  for(int i=7; i>=0; i--){      //approx 10 second delay until alarm becomes "armed"
    setPixelRGB(i,0,0,0);       //tick off pixels while count down to arming
    delay(1200);                //delay between ticks. total count down will be this amount *8
  }

  //Set armed condition
  setAllPixelsRGB(30,0,0);
  ChirpArmedSound();            //chirp sound. You can edit this in the function below to customize.

  
  //////     ARMED!!   WAITING FOR INTRUDER!!        //////
  /////////////////////////////////////////////////////////

  while(!digitalRead(Motion)){  //while Motion pin is low (also considered "not true")...
                                // ... do nothing while waiting trigger from motion sensor
  }

  //////   TRIGGERED!!   SOUND THE ALARM!!           //////
  /////////////////////////////////////////////////////////

  SoundTheAlarm();             //this is the actual alarm behavior. You can edit this by editing
                               //the function below to customize

  //behavior will now loop back to the top, the alarm will reset and re-arm automatically
                               
} //closing curly of the “loop()” function


void SoundTheAlarm(void){
  for(int i=0; i<5 ; i++){
      playChirp(4000);
      setAllPixelsRGB(0,0,200);
      delay(500);
      playChirp(6000);
      setAllPixelsRGB(200,0,0);
      delay(500);
  }
  offChirp();
}

void ChirpArmedSound(void){
  playChirp(7000);
  delay(50);
  offChirp();
  delay(100);
  playChirp(7000);
  delay(50);
  offChirp();
}


